[X2Go-Commits] x2gobroker.git - master (branch) updated: 0.0.2.3-59-gca61624

X2Go dev team git-admin at x2go.org
Mon Nov 4 11:01:07 CET 2013


The branch, master has been updated
       via  ca61624002de349c4b20f3217383066f7bd8b9d8 (commit)
      from  b1a588120a97a6ff83121528320f99b4bda5f869 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit ca61624002de349c4b20f3217383066f7bd8b9d8
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Mon Nov 4 10:57:30 2013 +0100

    Make bin:package x2gobroker-wsgi compliant Debian's packaging style of Apache2.4 / Apache2.2.

-----------------------------------------------------------------------

Summary of changes:
 debian/changelog                |    3 +++
 debian/control                  |    1 -
 debian/x2gobroker-wsgi.links    |    2 +-
 debian/x2gobroker-wsgi.postinst |   24 +++++++++++++++++++++---
 debian/x2gobroker-wsgi.postrm   |   28 +++++++++++++++++++++++++---
 5 files changed, 50 insertions(+), 8 deletions(-)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index c1017c8..d0ecb8c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -53,6 +53,9 @@ x2gobroker (0.0.3.0-0~x2go1) UNRELEASED; urgency=low
     + Recommend apache2 and libapache2-mod-wsgi for x2gobroker-wsgi.
   * /debian/x2gobroker-agent.dirs:
     + Provide empty log file directory.
+  * x2gobroker-wsgi postinst/postrm:
+    + Make bin:package x2gobroker-wsgi compliant Debian's packaging style of
+      Apache2.4 / Apache2.2.
 
  -- Mike Gabriel <mike.gabriel at das-netzwerkteam.de>  Fri, 07 Jun 2013 23:25:30 +0200
 
diff --git a/debian/control b/debian/control
index 77ff00b..5d9799c 100644
--- a/debian/control
+++ b/debian/control
@@ -158,7 +158,6 @@ Depends:
  adduser,
  x2gobroker (>= ${source:Version}), x2gobroker (<< ${source:Version}.1~),
 Recommends:
- apache2,
  libapache2-mod-wsgi,
 Description: X2Go http(s) based session broker (CGI)
  X2Go is a server based computing environment with
diff --git a/debian/x2gobroker-wsgi.links b/debian/x2gobroker-wsgi.links
index cb9db8a..be31287 100644
--- a/debian/x2gobroker-wsgi.links
+++ b/debian/x2gobroker-wsgi.links
@@ -1,2 +1,2 @@
-/etc/x2go/x2gobroker-wsgi.apache.conf /etc/apache2/conf.d/x2gobroker-wsgi.conf
+/etc/x2go/x2gobroker-wsgi.apache.conf /etc/apache2/conf-available/x2gobroker-wsgi.conf
 /etc/x2go/x2gobroker-wsgi.apache.vhost /etc/apache2/sites-available/x2gobroker
diff --git a/debian/x2gobroker-wsgi.postinst b/debian/x2gobroker-wsgi.postinst
index 0372383..2da0c9b 100755
--- a/debian/x2gobroker-wsgi.postinst
+++ b/debian/x2gobroker-wsgi.postinst
@@ -20,6 +20,22 @@ set -e
 # for details, see http://www.debian.org/doc/debian-policy/ or
 # the debian-policy package
 
+apacheconf_configure() {
+		#
+		# Apache2.4 (and Apache2.2 compatible) handling of apache*.conf files
+		#
+		CONF="x2gobroker-wsgi"
+		COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
+
+		if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+			. /usr/share/apache2/apache2-maintscript-helper
+			apache2_invoke enconf $CONF || exit $?
+		elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
+			if [ -d /etc/apache2/conf.d/ -a ! -L /etc/apache2/conf.d/$CONF.conf ]; then
+				ln -s ../conf-available/$CONF.conf /etc/apache2/conf.d/$CONF.conf
+			fi
+		fi
+}
 
 case "$1" in
 	configure)
@@ -60,15 +76,17 @@ case "$1" in
 		touch /var/log/x2gobroker/error.log && chown x2gobroker:adm /var/log/x2gobroker/error.log
 		touch /var/log/x2gobroker/wsgi.log && chown x2gobroker:adm /var/log/x2gobroker/wsgi.log
 
-		;;
+		apacheconf_configure
+
+	;;
 
 	abort-upgrade|abort-remove|abort-deconfigure)
-		;;
+	;;
 
 	*)
 		echo "postinst called with unknown argument \`$1'" 1>&2
 		exit 1
-		;;
+	;;
 esac
 
 # dh_installdeb will replace this with shell code automatically
diff --git a/debian/x2gobroker-wsgi.postrm b/debian/x2gobroker-wsgi.postrm
index d976222..2898f4d 100755
--- a/debian/x2gobroker-wsgi.postrm
+++ b/debian/x2gobroker-wsgi.postrm
@@ -15,6 +15,20 @@
 
 set -e
 
+apacheconf_remove() {
+		#
+		# Apache2.4 (and Apache2.2 compatible) handling of apache*.conf files
+		#
+		CONF="x2gobroker-wsgi"
+		COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
+
+		if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+			. /usr/share/apache2/apache2-maintscript-helper
+			apache2_invoke disconf $CONF || exit $?
+		elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
+			[ ! -L /etc/apache2/conf.d/$CONF.conf ] || rm /etc/apache2/conf.d/$CONF.conf
+		fi
+}
 
 case "$1" in
 	purge)
@@ -34,13 +48,21 @@ case "$1" in
 			rm -Rf /var/lib/x2gobroker
 		fi
 
+		apacheconf_remove
+
 		;;
-	remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-		;;
+
+	remove)
+		apacheconf_remove
+	;;
+
+	upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+	;;
+
 	*)
 		echo "postrm called with unknown argument \`$1'" 1>&2
 		exit 0
-		;;
+	;;
 esac
 
 # dh_installdeb will replace this with shell code automatically


hooks/post-receive
-- 
x2gobroker.git (HTTP(S) Session broker for X2Go)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gobroker.git" (HTTP(S) Session broker for X2Go).




More information about the x2go-commits mailing list